Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.message
Interface Message

    public interface Message

This is the basic internal core message abstraction. A message consists of the following components: Header: the header information contains information such as the destination EPR, the sender EPR, where the reply goes etc, i.e., general message-level functional information. Context: additional information to contextualise the message; for example, transaction or security data, the identity of the ultimate receiver, or HTTP-cookie like information. Body: the actual payload of the message. Fault: any fault information associated with the message. Attachment: any attachments associated with the message. Properties: any message specific properties. Each message, once created, has a corresponding element for these 5 components. That element may be empty (NOT NULL). The object representing the element can then be used to act on the corresponding data item in the message.

Author:
  Mark Little

Method Summary
`Message` | `copy()` Return a duplicate of this instance.
`Attachment` | `getAttachment()`
`Body` | `getBody()`
`Context` | `getContext()`
`Fault` | `getFault()`
`Header` | `getHeader()`
`Properties` | `getProperties()`
`java.net.URI` | `getType()`

Method Detail

### getHeader

    Header getHeader()

  Returns:
    get the header component of the message.

### getContext

    Context getContext()

  Returns:
    get the context component of the message.

### getBody

    Body getBody()

  Returns:
    get the body component of the message.

### getFault

    Fault getFault()

  Returns:
    get any faults associated with the message. These should not be application level faults, but comms level.

### getAttachment

    Attachment getAttachment()

  Returns:
    get any message attachments.

### getType

    java.net.URI getType()

  Returns:
    the type of this message.

### getProperties

    Properties getProperties()

  Returns:
    Properties - any message properties.

### copy

    Message copy()
                 throws java.io.IOException

  Return a duplicate of this instance. Just serialize and then deserialize.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD